Subject: Re: [PATCH v6 1/2] perf,kvm/powerpc: Add kvm_perf.h for powerpc

From: Hemant Kumar <[email-masked]>
Date: Tue, 01 Sep 2015 12:18:47 +0530

(cc'ing Michael Ellerman with this reply)

Hi Arnaldo,

On 09/01/2015 01:43 AM, Arnaldo Carvalho de Melo wrote:
> Em Mon, Aug 31, 2015 at 12:18:00PM +0530, Hemant Kumar escreveu:
>> To analyze the exit events with perf, we need to export the related
>> tracepoints through kvm_perf.h. kvm_perf.h is to be added in the
>> arch/powerpc directory, where the kvm tracepoints needed to trace the
>> KVM exit events are defined.
>>
>> To indicate that the tracepoints are book3s_hv specific, suffix _HV has
>> been added to the tracepoint macros. Additionally, we also need to
>> define the generic macros (albeit, with null strings) suffix, because
>> the preprocessor looks for them in the generic code in builtin-kvm.c.
>>
>> Signed-off-by: Hemant Kumar <[email-masked]>
> humm, there are two patchkits, this one with two patches, the other with
> 3, this one for the kernel, the other one for tools/, but for the tools/
> part to work, does this one needs to be applied first?
>
> Should I try to process the 5 together, applying thest two first?

Yes, this patchset needs to be applied before applying the other patchset,
since there is a direct dependency on these two for the tooling part to
work.

> I see there are no acks from powerpc arch maintainers, how should we
> proceed here? If there are no problems with the arch bits, and if it is
> just to enable the tooling part, again, should I process the 5 as just
> one series?

The reason to split the earlier patchset into two was to separate the
tooling/perf/ and arch/powerpc/ side patches, as asked by Michael..

Here is the link to that discussion :
http://www.mail-archive.com/[email-masked]/msg86916.html

If Michael is ok with the patches, you can process all the 5 patches 
together. Michael?

> - Arnaldo
>
>> ---
>> Changes since v5:
>> - Moved back the tracepoint definitions from kvm_perf_book3s.h to kvm_perf.h
>>
>>   arch/powerpc/include/uapi/asm/kvm_perf.h | 21 +++++++++++++++++++++
>>   1 file changed, 21 insertions(+)
>>   create mode 100644 arch/powerpc/include/uapi/asm/kvm_perf.h
>>
>> diff --git a/arch/powerpc/include/uapi/asm/kvm_perf.h b/arch/powerpc/include/uapi/asm/kvm_perf.h
>> new file mode 100644
>> index 0000000..68f105e
>> --- /dev/null
>> +++ b/arch/powerpc/include/uapi/asm/kvm_perf.h
>> @@ -0,0 +1,21 @@
>> +#ifndef _ASM_POWERPC_KVM_PERF_H
>> +#define _ASM_POWERPC_KVM_PERF_H
>> +
>> +#include <asm/kvm.h>
>> +
>> +#define DECODE_STR_LEN 40
>> +
>> +#define VCPU_ID "vcpu_id"
>> +
>> +/* For Book3S_HV machines */
>> +#define KVM_ENTRY_TRACE_HV "kvm_hv:kvm_guest_enter"
>> +#define KVM_EXIT_TRACE_HV "kvm_hv:kvm_guest_exit"
>> +#define KVM_EXIT_REASON_HV "trap"
>> +
>> +/* This is to shut the compiler up */
>> +#define KVM_ENTRY_TRACE ""
>> +#define KVM_EXIT_TRACE ""
>> +#define KVM_EXIT_REASON ""
>> +
>> +
>> +#endif /* _ASM_POWERPC_KVM_PERF_H */
>> -- 
>> 1.9.3
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://lists.ozlabs.org/listinfo/linuxppc-dev

-- 
Thanks,
Hemant Kumar